Description

Hi,

since upgrade to 0.9.3 I get the following error, during subversion repository update. Both, automatic update on request and batch

jobs are affected. Currently I added a workaround which additionally checks for OS.

 Processing RepositoriesController#show (for 192.168.1.34 at 2010-04-06 11:41:45) [GET]

  Parameters: {"action"=>"show", "id"=>"myproject", "controller"=>"repositories"}

Iconv::InvalidEncoding (invalid encoding ("UTF-8//IGNORE", "UTF-8")):

  app/models/changeset.rb:185:in `conv'

  app/models/changeset.rb:185:in `to_utf8'

  app/models/changeset.rb:153:in `normalize_comments'

  app/models/changeset.rb:52:in `comments='

  app/models/repository/subversion.rb:59:in `fetch_changesets'

  app/models/repository/subversion.rb:58:in `fetch_changesets'

  app/models/repository/subversion.rb:57:in `reverse_each'

  app/models/repository/subversion.rb:57:in `fetch_changesets'

  app/controllers/repositories_controller.rb:70:in `show'

  passenger (2.2.5) lib/phusion_passenger/rack/request_handler.rb:95:in `process_request'

  passenger (2.2.5) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:378:in `start_request_handl

er'

  passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:336:in `handle_spawn_applic

ation'

  passenger (2.2.5) lib/phusion_passenger/utils.rb:183:in `safe_fork'

  passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:334:in `handle_spawn_applic

ation'

  passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

  passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /data/redmine-0.9.3/public/500.html (500 Internal Server Error)

 Redmine is running on SunOS 5.10 Generic_137112-06 i86pc i386 i86pc and it seems that Solaris IConv does not support

UTF-8//IGNORE

I've looked through the changes of version 0.9.3 and found a related ticket #4773
https://www.redmine.org/issues/4773


Associated revisions

Revision 3635 - 2010-04-11 15:55 - Jean-Philippe Lang

Fixed: Update of Subversion changesets broken by r3466 under Solaris (#5255).

History

#1 - 2010-04-11 15:54 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Resolution set to Fixed

Indeed, Iconv doesn't seem to support UTF-8//IGNORE on Solaris. Similar problem found here:

http://woss.name/blog/2008/10/16/edge-rails-pre-22-iconv-transliteration-and-solaris.html

Fixed in r3635.

#2 - 2010-04-11 16:51 - Jean-Philippe Lang

- Status changed from Resolved to Closed
